Bug 427176 - [PATCH] use fmtutil to generate ptex and platex formats
Summary: [PATCH] use fmtutil to generate ptex and platex formats
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-01 23:43 UTC by Patrice Dumas
Modified: 2013-07-02 23:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 23:19:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for texlive.spec and texlive-2007-jp-platex209.patch (8.51 KB, patch)
2008-01-01 23:45 UTC, Patrice Dumas
no flags Details | Diff
handle better ptex and platex in fmtutil (511 bytes, patch)
2008-01-01 23:46 UTC, Patrice Dumas
no flags Details | Diff
fmtutil configuration for ptex and platex (799 bytes, text/plain)
2008-01-01 23:46 UTC, Patrice Dumas
no flags Details
patch for texlive-texmf.spec to add fmtutil conf for p*tex (1.05 KB, patch)
2008-01-01 23:47 UTC, Patrice Dumas
no flags Details | Diff

Description Patrice Dumas 2008-01-01 23:43:10 UTC
Description of problem:

Currently the ptex and platex formats are generated during
the texlive build, it is wrong, they should be generated
by fmtutil in post scripts. This would allow to remove
the build dependency of texlive on texmf packages, and
therefore allow for the Requires(post) to be set 
rightly in the texmf packages.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Patrice Dumas 2008-01-01 23:45:25 UTC
Created attachment 290622 [details]
patch for texlive.spec and texlive-2007-jp-platex209.patch

* remove BuildRequires on texmf packages
* don't create .fmt files during the build
* ship the ptex.pool file

Comment 2 Patrice Dumas 2008-01-01 23:46:07 UTC
Created attachment 290623 [details]
handle better ptex and platex in fmtutil

Comment 3 Patrice Dumas 2008-01-01 23:46:56 UTC
Created attachment 290624 [details]
fmtutil configuration for ptex and platex

Comment 4 Patrice Dumas 2008-01-01 23:47:58 UTC
Created attachment 290625 [details]
patch for texlive-texmf.spec to add fmtutil conf for p*tex

Comment 5 Patrice Dumas 2008-01-03 23:19:10 UTC
This is in rawhide, and may even be built, closing, thanks
Jindrich.


Note You need to log in before you can comment on or make changes to this bug.